set(VCPKG_TARGET_ARCHITECTURE x86)
set(VCPKG_PLATFORM_TOOLSET v143)
set(VCPKG_CRT_LINKAGE dynamic)
set(VCPKG_LIBRARY_LINKAGE dynamic)

set(VCPKG_CXX_FLAGS "/Zc:__cplusplus /Zc:throwingNew")
set(VCPKG_C_FLAGS "")
# hybrid crt for C libraries
if(${PORT} MATCHES "sqlite3|c-ares")
    set(VCPKG_CXX_FLAGS_RELEASE "/MT")
    set(VCPKG_C_FLAGS_RELEASE "/MT")
    set(VCPKG_CXX_FLAGS_DEBUG "/MTd")
    set(VCPKG_C_FLAGS_DEBUG "/MTd")
    set(VCPKG_LINKER_FLAGS_RELEASE "/NODEFAULTLIB:libucrt.lib /DEFAULTLIB:ucrt.lib")
    set(VCPKG_LINKER_FLAGS_DEBUG "/NODEFAULTLIB:libucrtd.lib /DEFAULTLIB:ucrtd.lib")
endif()

set(VCPKG_ENV_PASSTHROUGH VCPKG_DEFAULT_TRIPLET;VCPKG_OVERLAY_TRIPLETS;VCPKG_OVERLAY_PORTS)
set(VCPKG_ENV_PASSTHROUGH_UNTRACKED VCPKG_FEATURE_FLAGS)
